%global npm_name sntp
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 3.0.1
Release: %mkrel 7
Summary: SNTP Client
License: BSD
Group: Development/Other
URL: https://github.com/hueniverse/sntp#readme
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(boom)
Requires: npm(bounce)
Requires: npm(hoek)
Requires: npm(teamwork)
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%nodejs_fixdep boom ">=7.2.0"
%nodejs_fixdep hoek ">=5.0.3"

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lib %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md



%changelog
* Fri Jun 27 2025 umeabot <umeabot> 3.0.1-7.mga10
+ Revision: 2209417
- Mageia 10 Mass Rebuild

* Wed Mar 23 2022 umeabot <umeabot> 3.0.1-6.mga9
+ Revision: 1820245
- Mageia 9 Mass Rebuild

* Sun Jul 05 2020 joequant <joequant> 3.0.1-5.mga8
+ Revision: 1602147
- redo deps

* Wed Feb 12 2020 umeabot <umeabot> 3.0.1-4.mga8
+ Revision: 1503195
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 3.0.1-3.mga7
+ Revision: 1280955
- Mageia 7 Mass Rebuild

* Tue May 22 2018 kekepower <kekepower> 3.0.1-2.mga7
+ Revision: 1231644
- Update and fix nodejs deps

* Mon May 07 2018 kekepower <kekepower> 3.0.1-1.mga7
+ Revision: 1227073
- imported package nodejs-sntp

